UAD Plug-Ins

Welcome to UA Support
How can we help?

OX App Requirements

  • OX Amp Top Box
  • Apple Mac or iPad
    • macOS: Sierra or High Sierra
    • iPad: iOS 11
  • Wi-Fi network with internet connection to register (once only)

Note: Operating systems not listed above are untested. Although untested operating systems may work, they are not supported by Universal Audio.

Have more questions? Submit a request

Comments